Subject: (urth) The Insult by Rupert Thomson

From: Greg Kurzawa <greg at kurzawa.us>
Date: Sat, 26 Jul 2014 18:50:21 +0000

I just finished reading "The Insult" by Rupert Thomson. It was a 
recommendation, but I can't remember from where. The narrator is 
completely blind due to a gunshot wound to his head, but believes he can 
see at night. This alone seems like it would make it attractive to Wolfe 
fans, so I'm thinking I must have heard of it from someone on this list. 
Anyway, I enjoyed it a lot. Also, I feel there's something hidden in 
there that I can't quite figure. Immediately upon finishing the last 
page I wanted to go back and read it again--a feeling I get every time 
after reading Wolfe. I'm wondering if anyone else had read it recently 
and would like to discuss?

Greg